FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202005250821 BUILD_VERSION=v4.3.23 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=23 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.23-202005250821 
ENV __doozer=merge OS_GIT_COMMIT=7511ca6 OS_GIT_VERSION=4.3.23-202005250821-7511ca6 SOURCE_DATE_EPOCH=1583947688 SOURCE_GIT_COMMIT=7511ca65e07b586464e5ec2e9efde67bfa48c3e2 SOURCE_GIT_TAG=openshift-4.3.7 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
WORKDIR /go/src/github.com/openshift/image-registry
COPY . .
RUN hack/build-go.sh

FROM openshift/ose-base:v4.3.23.20200525.082129
ENV __doozer=update BUILD_RELEASE=202005250821 BUILD_VERSION=v4.3.23 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=23 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.23-202005250821 
ENV __doozer=merge OS_GIT_COMMIT=7511ca6 OS_GIT_VERSION=4.3.23-202005250821-7511ca6 SOURCE_DATE_EPOCH=1583947688 SOURCE_GIT_COMMIT=7511ca65e07b586464e5ec2e9efde67bfa48c3e2 SOURCE_GIT_TAG=openshift-4.3.7 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
RUN yum install -y rsync && yum clean all && rm -rf /var/cache/yum
COPY --from=builder /go/src/github.com/openshift/image-registry/_output/local/bin/dockerregistry /usr/bin/
COPY images/dockerregistry/config.yml /
RUN chmod a+w -R /etc/pki/ca-trust/extracted
USER 1001
EXPOSE 5000
VOLUME /registry
ENV REGISTRY_CONFIGURATION_PATH=/config.yml
ENTRYPOINT ["sh", "-c", "update-ca-trust && exec \"$@\"", "arg0"]
CMD ["/usr/bin/dockerregistry"]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Image Registry" \
        io.k8s.description="This is a component of OpenShift Container Platform and exposes a container registry that is integrated with the cluster for authentication and management." \
        io.openshift.tags="openshift,container,image,registry" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-docker-registry" \
        com.redhat.component="openshift-enterprise-registry-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Image Registry" \
        version="v4.3.23" \
        release="202005250821" \
        io.openshift.build.commit.id="7511ca65e07b586464e5ec2e9efde67bfa48c3e2" \
        io.openshift.build.source-location="https://github.com/openshift/image-registry" \
        io.openshift.build.commit.url="https://github.com/openshift/image-registry/commit/7511ca65e07b586464e5ec2e9efde67bfa48c3e2"

